Overview

Angular Stacked line chart is a chart with Y values stacked over one another in the series order. Shows the relation between individual values to the total sum of the points. overview


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.

marker


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.

datalabel


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.

multiple axes


Customization

Customize the look and feel of the stacked line chart using built-in APIs.

dashed line


Code snippet

Easily get started with Angular Stacked Line using a few simple lines of JS code, as demonstrated below. Also explore our Angular Stacked Line Chart Example that shows you how to render and configure the spline area chart component.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
    <e-series [dataSource]='data' type='StackingLine' xName='x' yName='y' name='John' width='2' [marker]='marker' dashArray='5,1'> </e-series>
    <e-series [dataSource]='data1' type='StackingLine' xName='x' yName='y' name='Peter' width='2'
    [marker]='marker' dashArray='5,1'> </e-series>
    <e-series [dataSource]='data2' type='StackingLine' xName='x' yName='y' name='Steve' width='2' [marker]='marker' dashArray='5,1'> </e-series>
    <e-series [dataSource]='data3' type='StackingLine' xName='x' yName='y' name='Charle' width='2' [marker]='marker' dashArray='5,1'> </e-series>    
</e-series-collection>
</ejs-chart>
import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [
        { x: 'Food', y: 90 },
        { x: 'Transport', y: 80 },
        { x: 'Medical', y: 50 },
        { x: 'Clothes', y: 70 },
        { x: 'Personal Care', y: 30 },
        { x: 'Books', y: 10 },
        { x: 'Fitness', y: 100 },
        { x: 'Electricity', y: 55 },
        { x: 'Tax', y: 20 },
        { x: 'Pet Care', y: 40 },
        { x: 'Education', y: 45 },
        { x: 'Entertainment', y: 75 },
    ];
    public data1: Object[] = [
        { x: 'Food', y: 40 },
        { x: 'Transport', y: 90 },
        { x: 'Medical', y: 80 },
        { x: 'Clothes', y: 30 },
        { x: 'Personal Care', y: 80 },
        { x: 'Books', y: 40 },
        { x: 'Fitness', y: 30 },
        { x: 'Electricity', y: 95 },
        { x: 'Tax', y: 50 },
        { x: 'Pet Care', y: 20 },
        { x: 'Education', y: 15 },
        { x: 'Entertainment', y: 45 },
    ];
    public data2: Object[] = [
        { x: 'Food', y: 70 },
        { x: 'Transport', y: 110 },
        { x: 'Medical', y: 120 },
        { x: 'Clothes', y: 60 },
        { x: 'Personal Care', y: 80 },
        { x: 'Books', y: 30 },
        { x: 'Fitness', y: 70 },
        { x: 'Electricity', y: 55 },
        { x: 'Tax', y: 40 },
        { x: 'Pet Care', y: 80 },
        { x: 'Education', y: 45 },
        { x: 'Entertainment', y: 65 },
    ];
    public data3: Object[] = [
        { x: 'Food', y: 120 },
        { x: 'Transport', y: 70 },
        { x: 'Medical', y: 50 },
        { x: 'Clothes', y: 180 },
        { x: 'Personal Care', y: 30 },
        { x: 'Books', y: 270 },
        { x: 'Fitness', y: 40 },
        { x: 'Electricity', y: 75 },
        { x: 'Tax', y: 65 },
        { x: 'Pet Care', y: 95 },
        { x: 'Education', y: 135 },
        { x: 'Entertainment', y: 115 },
    ];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { StackingColumnLineService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ StackingLineSeriesService, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Stacked Line Chart User Guide

Learn the available options to customize Angular Stacked Line Chart.

API

Stacked Line Chart API Reference

Explore the Angular Stacked Line Chart APIs.


140+ ANGULAR UI COMPONENTS

Scroll up icon
Syncfusion Feedback

Overview

React Stacked line chart is a chart with Y values stacked over one another in the series order. Shows the relation between individual values to the total sum of the points. overview


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.

marker


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.

datalabel


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.

multiple axes


Customization

Customize the look and feel of the stacked line chart using built-in APIs.

dashed line


Code snippet

Easily get started with the React stacked line chart using a few simple lines of HTML and JS code, as demonstrated below. Also explore our React stacked line chart example that shows you how to render and configure the charts.

import { ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, Category, StackingLineSeries } from '@syncfusion/ej2-react-charts';
import * as React from "react";
class App extends React.Component<{}, {}> {
    public primaryXAxis: AxisModel = { valueType: 'Category'};
    public chartData: any[] = [
      { x: 'Food', y: 90, y1: 40, y2: 70, y3: 120 },
      { x: 'Transport', y: 80, y1: 90, y2: 110, y3: 70 },
      { x: 'Medical', y: 50, y1: 80, y2: 120, y3: 50 },
      { x: 'Clothes', y: 70, y1: 30, y2: 60, y3: 180 },
      { x: 'Personal Care', y: 30, y1: 80, y2: 80, y3: 30 },
      { x: 'Books', y: 10, y1: 40, y2: 30, y3: 270 },
      { x: 'Fitness', y: 100, y1: 30, y2: 70, y3: 40 },
      { x: 'Electricity', y: 55, y1: 95, y2: 55, y3: 75 },
      { x: 'Tax', y: 20, y1: 50, y2: 40, y3: 65 },
      { x: 'Pet Care', y: 40, y1: 20, y2: 80, y3: 95 },
      { x: 'Education', y: 45, y1: 15, y2: 45, y3: 195 },
      { x: 'Entertainment', y: 75, y1: 45, y2: 65, y3: 115 }
  ];
  public marker : any = {visible: true} ;
public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[StackingLineSeries, Category]} />
       <SeriesCollectionDirective>
                             <SeriesDirective dataSource={chartData} xName='x' yName='y' name='John' width='2' type='StackingLine' marker= {marker}} dashArray='5,1'>
                            </SeriesDirective>
                            <SeriesDirective dataSource={chartData} xName='x' yName='y1' name='Peter' width='2' type='StackingLine' marker= {marker} dashArray='5,1'>
                            </SeriesDirective>
                            <SeriesDirective dataSource={chartData} xName='x' yName='y2' name='Steve' width='2' type='StackingLine' marker= {marker} dashArray='5,1'>
                            </SeriesDirective>
                            <SeriesDirective dataSource={chartData} xName='x' yName='y3' name='Charle' width='2' type='StackingLine' marker= {marker} dashArray='5,1'>
                            </SeriesDirective>
    </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

Stacked Line Chart User Guide

Learn the available options to customize React stacked line chart.

API

Stacked Line Chart API Reference

Explore the React stacked line chart APIs.


Explore all Syncfusion React components

Explore over 140+ React UI components featuring established, and production-ready controls built for modern web app development.

Scroll up icon
Syncfusion Feedback

Overview

Vue Stacked line chart is a chart with Y values stacked over one another in the series order. Shows the relation between individual values to the total sum of the points. overview


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.

marker


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.

datalabel


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.

multiple axes


Customization

Customize the look and feel of the stacked line chart using built-in APIs.

dashed line


Code snippet

Easily get started with Vue Stacked Line Chart using a few simple lines of Vue code, as demonstrated below. Also explore our Vue Stacked Line Chart Example that shows you how to render and configure the stacked column chart component.

<template>
    <div id="app">
         <ejs-chart id="container" :primaryXAxis='primaryXAxis'>
            <e-series-collection>
                <e-series :dataSource="seriesData" type="StackingLine" xName="x" yName="y"
                name="John" width="2" dashArray="5,1" :marker="marker"></e-series>
            <e-series :dataSource="seriesData" type="StackingLine" xName="x" yName="y1"
                name="John" width="2" dashArray="5,1" :marker="marker"></e-series>
            <e-series :dataSource="seriesData" type="StackingLine" xName="x" yName="y2"
                name="John" width="2" dashArray="5,1" :marker="marker"></e-series>
            <e-series :dataSource="seriesData" type="StackingLine" xName="x" yName="y3"
                name="John" width="2" dashArray="5,1" :marker="marker"></e-series>
            </e-series-collection>
        </ejs-chart>
    </div>
</template>
<script>
import { ChartPlugin, StackingLineSeries, Category } from "@syncfusion/ej2-charts";
Vue.use(ChartPlugin);
export default {
  data() {
    return {
      seriesData:  [
        { x: "Food", y: 90, y1: 40, y2: 70, y3: 120 },
        { x: "Transport", y: 80, y1: 90, y2: 110, y3: 70 },
        { x: "Medical", y: 50, y1: 80, y2: 120, y3: 50 },
        { x: "Clothes", y: 70, y1: 30, y2: 60, y3: 180 },
        { x: "Personal Care", y: 30, y1: 80, y2: 80, y3: 30 },
        { x: "Books", y: 10, y1: 40, y2: 30, y3: 270 },
        { x: "Fitness", y: 100, y1: 30, y2: 70, y3: 40 },
        { x: "Electricity", y: 55, y1: 95, y2: 55, y3: 75 },
        { x: "Tax", y: 20, y1: 50, y2: 40, y3: 65 },
        { x: "Pet Care", y: 40, y1: 20, y2: 80, y3: 95 },
        { x: "Education", y: 45, y1: 15, y2: 45, y3: 195 },
        { x: "Entertainment", y: 75, y1: 45, y2: 65, y3: 115 }],
        primaryXAxis: {
           valueType: 'Category',
        },
    };
  },
  provide: {
    chart: [StackingLineSeries, Category]
  }
};
</script>
<!DOCTYPE html>
<html>

<body>
     <div id="app"></div>
</body>

</html>

Learning Resources

UG

Stacked Line Chart User Guide

Learn the available options to customize Vue stacked line chart.

API

Stacked Line Chart API Reference

Explore the Vue stacked line chart APIs.


140+ VUE UI COMPONENTS

Scroll up icon
Syncfusion Feedback